RegexpData (Hyperic HQ Plugin API)
Keywords: org.novadeck.jxla.data.RegexpData class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.novadeck.jxla.data
Class RegexpData

    java.lang.Object
      org.novadeck.jxla.data.SerializableSimpleData
          org.novadeck.jxla.data.SimpleData
              org.novadeck.jxla.data.RegexpData

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable

    public class RegexpData

extends SimpleData

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `compiledRegexp`
`static char` | `CROCHET_F`
`static char` | `CROCHET_O`
`static java.lang.String` | `DATE_MSEC`
`static char` | `DAY`
`static char` | `DELIMITER`
`static char` | `DOUBLEPOINT`
`static java.lang.String` | `HOSTNAME`
`static char` | `HOUR`
`static char` | `IDENTIFIER`
`java.lang.String` | `initialRegexp`
`static java.lang.String` | `LANGUAGE`
`static char` | `MONTH`
`static char` | `OFFSET`
`static java.lang.String` | `QUERY`
`static java.lang.String` | `REFERER`
`static java.lang.String` | `REMOTE_HOST`
`static java.lang.String` | `REMOTE_IP`
`static java.lang.String` | `SIZE`
`static char` | `SLASH`
`static char` | `SPACE`
`static java.lang.String` | `STATUS`
`static java.lang.String` | `TIME_TAKEN`
`static char` | `TIRET`
`static java.lang.String` | `URI`
`static java.lang.String` | `USER`
`static java.lang.String` | `USER_AGENT`
`static char` | `WILDCARD`
`static char` | `YEAR`

Constructor Summary
`RegexpData(java.lang.String s)`

Method Summary
`static void` | `addRegexp(RegexpData re)`
`java.lang.String` | `getAgent()`
`java.lang.String` | `getCompiledRegexp()`
`long` | `getDateMSec()`
`int` | `getDay()`
`java.lang.String` | `getHost()`
`int` | `getHour()`
`java.lang.String` | `getLanguage()`
`static Line` | `getLine(java.lang.String s)`
`int` | `getMinute()`
`int` | `getMonth()`
`java.lang.String` | `getOffset()`
`java.lang.String` | `getReferer()`
`static RegexpData[]` | `getRegexps()`
`java.lang.String` | `getRemoteIP()`
`int` | `getSecond()`
`long` | `getSize()`
`java.lang.String` | `getStatus()`
`long` | `getTimeTaken()`
`java.lang.String` | `getURI()`
`java.lang.String` | `getUser()`
`int` | `getYear()`
`boolean` | `match(java.lang.String s)`
`static void` | `updateList()`

Methods inherited from class org.novadeck.jxla.data.SimpleData
`add, compareTo, getCount, inc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HOSTNAME

    public static final java.lang.String HOSTNAME

See Also:
  Constant Field Values

### REMOTE_IP

    public static final java.lang.String REMOTE_IP

See Also:
  Constant Field Values

### REMOTE_HOST

    public static final java.lang.String REMOTE_HOST

See Also:
  Constant Field Values

### USER

    public static final java.lang.String USER

See Also:
  Constant Field Values

### URI

    public static final java.lang.String URI

See Also:
  Constant Field Values

### QUERY

    public static final java.lang.String QUERY

See Also:
  Constant Field Values

### STATUS

    public static final java.lang.String STATUS

See Also:
  Constant Field Values

### REFERER

    public static final java.lang.String REFERER

See Also:
  Constant Field Values

### USER_AGENT

    public static final java.lang.String USER_AGENT

See Also:
  Constant Field Values

### LANGUAGE

    public static final java.lang.String LANGUAGE

See Also:
  Constant Field Values

### SIZE

    public static final java.lang.String SIZE

See Also:
  Constant Field Values

### TIME_TAKEN

    public static final java.lang.String TIME_TAKEN

See Also:
  Constant Field Values

### DATE_MSEC

    public static final java.lang.String DATE_MSEC

See Also:
  Constant Field Values

### YEAR

    public static final char YEAR

See Also:
  Constant Field Values

### MONTH

    public static final char MONTH

See Also:
  Constant Field Values

### DAY

    public static final char DAY

See Also:
  Constant Field Values

### HOUR

    public static final char HOUR

See Also:
  Constant Field Values

### OFFSET

    public static final char OFFSET

See Also:
  Constant Field Values

### WILDCARD

    public static final char WILDCARD

See Also:
  Constant Field Values

### IDENTIFIER

    public static final char IDENTIFIER

See Also:
  Constant Field Values

### DELIMITER

    public static final char DELIMITER

See Also:
  Constant Field Values

### SPACE

    public static final char SPACE

See Also:
  Constant Field Values

### SLASH

    public static final char SLASH

See Also:
  Constant Field Values

### DOUBLEPOINT

    public static final char DOUBLEPOINT

See Also:
  Constant Field Values

### CROCHET_O

    public static final char CROCHET_O

See Also:
  Constant Field Values

### CROCHET_F

    public static final char CROCHET_F

See Also:
  Constant Field Values

### TIRET

    public static final char TIRET

See Also:
  Constant Field Values

### initialRegexp

    public java.lang.String initialRegexp

### compiledRegexp

    public java.lang.String compiledRegexp

Constructor Detail

### RegexpData

    public RegexpData(java.lang.String s)

Method Detail

### getCompiledRegexp

    public java.lang.String getCompiledRegexp()

### match

    public boolean match(java.lang.String s)

### getHost

    public java.lang.String getHost()

  Returns:

### getRemoteIP

    public java.lang.String getRemoteIP()

### getUser

    public java.lang.String getUser()

### getURI

    public java.lang.String getURI()

### getStatus

    public java.lang.String getStatus()

### getReferer

    public java.lang.String getReferer()

### getAgent

    public java.lang.String getAgent()

### getLanguage

    public java.lang.String getLanguage()

### getSize

    public long getSize()

### getTimeTaken

    public long getTimeTaken()

### getDateMSec

    public long getDateMSec()

### getHour

    public int getHour()

### getOffset

    public java.lang.String getOffset()

### getMinute

    public int getMinute()

### getSecond

    public int getSecond()

### getDay

    public int getDay()

### getMonth

    public int getMonth()

### getYear

    public int getYear()

### addRegexp

    public static void addRegexp(RegexpData re)

### getRegexps

    public static RegexpData[] getRegexps()

### updateList

    public static void updateList()

### getLine

    public static Line getLine(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.